Package org.eclipse.mat.internal.snapshot.inspections

# Class DominatorQuery.Tree

java.lang.Object
org.eclipse.mat.internal.snapshot.inspections.DominatorQuery.Tree

All Implemented Interfaces:
  `IResult`, `IResultTree`, `IStructuredResult`

Enclosing class:
  DominatorQuery

public abstract static class DominatorQuery.Tree extends Object implements IResultTree

## Constructor Summary

Constructors
Constructor
Description
`Tree(ISnapshot snapshot, int[] roots, DominatorQuery.Grouping groupedBy)`

## Method Summary

Modifier and Type
Method
Description
`DominatorQuery.Grouping`
`getGroupedBy()`
`ResultMetaData`
`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.
`int[]`
`getRoots()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.IResultTree

`getChildren, getElements, hasChildren`

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

## Constructor Details

### Tree

public Tree(ISnapshot snapshot, int[] roots, DominatorQuery.Grouping groupedBy)

## Method Details

### getGroupedBy

public DominatorQuery.Grouping getGroupedBy()

### getRoots

public int[] getRoots()

### getResultMetaData

public ResultMetaData getResultMetaData()
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data